server {
	server_name drive.roysathome.net;

	location / {
		proxy_pass		http://localhost:8080;
		proxy_set_header	Host drive.roysathome.net;
		proxy_set_header	X-Forwarded-Proto https;
	}

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/drive.roysathome.net/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/drive.roysathome.net/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}
server {
    if ($host = drive.roysathome.net) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


	server_name drive.roysathome.net;

	listen 80;
    return 404; # managed by Certbot


}
